package com.ruoyi.tuya.mapper;

import java.util.List;

import com.ruoyi.tuya.domain.TuyaArticleInfo;
import com.ruoyi.tuya.domain.TuyaCategoryInfo;

/**
 * 栏目信息Mapper接口
 *
 * @author zf
 * @date 2022-07-07
 */
public interface TuyaCategoryInfoMapper
{
    /**
     * 校验栏目名称
     *
     * @param tuyaCategoryInfo 栏目信息
     * @return 结果
     */
    public TuyaCategoryInfo checkCategoryNameUnique(TuyaCategoryInfo tuyaCategoryInfo);
    /**
     * 查询栏目信息
     *
     * @param categoryId 栏目信息主键
     * @return 栏目信息
     */
    public TuyaCategoryInfo selectTuyaCategoryInfoByCategoryId(Long categoryId);

    /**
     * 查询栏目信息列表
     *
     * @param tuyaCategoryInfo 栏目信息
     * @return 栏目信息集合
     */
    public List<TuyaCategoryInfo> selectTuyaCategoryInfoList(TuyaCategoryInfo tuyaCategoryInfo);


    /**
     * 新增栏目信息
     *
     * @param tuyaCategoryInfo 栏目信息
     * @return 结果
     */
    public int insertTuyaCategoryInfo(TuyaCategoryInfo tuyaCategoryInfo);

    /**
     * 修改栏目信息
     *
     * @param tuyaCategoryInfo 栏目信息
     * @return 结果
     */
    public int updateTuyaCategoryInfo(TuyaCategoryInfo tuyaCategoryInfo);

    /**
     * 删除栏目信息
     *
     * @param categoryId 栏目信息主键
     * @return 结果
     */
    public int deleteTuyaCategoryInfoByCategoryId(Long categoryId);

    /**
     * 批量删除栏目信息
     *
     * @param categoryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTuyaCategoryInfoByCategoryIds(Long[] categoryIds);

    /**
     * 是否存在子节点
     *
     * @param categoryId 栏目ID
     * @return 结果
     */
    public int hasChildByCategoryId(Long categoryId);
}
